Referencediff
Diff two versions
Query Parameters
refA*string
refB*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/diff?refA=string&refB=string"{ "files": [ { "path": "string", "status": "added", "patch": "string", "binary": true } ], "frontmatterDelta": { "scalars": [ { "field": "name", "changeKind": "added", "old": "string", "new": "string" } ], "lists": [ { "field": "allowed-tools", "added": [ "string" ], "removed": [ "string" ] } ], "metadata": [ { "key": "string", "changeKind": "added", "old": "string", "new": "string" } ] }}{ "defined": true, "code": "UNAUTHORIZED", "status": 401, "message": "Authentication required or credentials invalid.", "data": null}{ "defined": true, "code": "NOT_FOUND", "status": 404, "message": "The requested resource does not exist.", "data": { "resource": "string" }}{ "defined": true, "code": "VALIDATION", "status": 422, "message": "The input failed domain validation.", "data": { "issues": [ { "path": "string", "message": "string" } ] }}{ "defined": true, "code": "RATE_LIMITED", "status": 429, "message": "Rate limit exceeded; retry later.", "data": { "retryAfterSeconds": -9007199254740991 }}